emacs-bug-tracker
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[debbugs-tracker] bug#27260: closed ([PATCH] gnu: Add qgpgme.)


From: GNU bug Tracking System
Subject: [debbugs-tracker] bug#27260: closed ([PATCH] gnu: Add qgpgme.)
Date: Tue, 06 Jun 2017 12:05:02 +0000

Your message dated Tue, 6 Jun 2017 14:04:41 +0200
with message-id <address@hidden>
and subject line Re: bug#27260: [PATCH] gnu: Add qgpgme.
has caused the debbugs.gnu.org bug report #27260,
regarding [PATCH] gnu: Add qgpgme.
to be marked as done.

(If you believe you have received this mail in error, please contact
address@hidden)


-- 
27260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27260
GNU Bug Tracking System
Contact address@hidden with problems
--- Begin Message --- Subject: [PATCH] gnu: Add qgpgme. Date: Mon, 5 Jun 2017 23:43:33 +0200
* gnu/packages/gnupg.scm (qgpgme): New variable.
---
 gnu/packages/gnupg.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index c2b0278..30d5744 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -407,6 +407,34 @@ instead.  This way bug fixes or improvements can be done 
at a central place
 and every application benefits from this.")
     (license license:lgpl2.1+)))
 
+(define-public qgpgme
+  (package
+    (inherit gpgme)
+    (name "qgpgme")
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'build 'chdir-and-symlink
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((gpgme (assoc-ref inputs "gpgme")))
+               (symlink (string-append gpgme "/lib/libgpgmepp.la")
+                        "lang/cpp/src/libgpgmepp.la")
+               (symlink (string-append gpgme "/lib/libgpgme.la")
+                        "src/libgpgme.la"))
+             (chdir "lang/qt"))))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("gpgme" ,gpgme)
+       ("qtbase" ,qtbase)
+       ,@(package-inputs gpgme)))
+    (synopsis "Qt API bindings for gpgme")
+    (description "QGpgme provides a very high level Qt API around GpgMEpp.
+
+QGpgME was originally developed as part of libkleo and incorporated into
+gpgpme starting with version 1.7.")
+    (license license:gpl2+))) ;; Note: this differs from gpgme
+
 (define-public python-gpg
   (package
     (name "python-gpg")
-- 
2.7.4




--- End Message ---
--- Begin Message --- Subject: Re: bug#27260: [PATCH] gnu: Add qgpgme. Date: Tue, 6 Jun 2017 14:04:41 +0200 User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101 Thunderbird/38.3.0
Added the #t
pushed as 6b982a7846780c90e67ed872b30e1f4d6aa819dc

Thanks for reviewing.


--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]